## python-odf 0.9.6

=== csv2ods/Makefile ===
all: odf csv2ods.1 

txt: csv2ods.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== grammar/Makefile ===
all: odf grammarnew.py

#simplified-7-22.rng: OpenDocument-strict-schema-v1.2-draft7.rng OpenDocument-schema-v1.0-os.rng
#simple-schema-7-22.rng: OpenDocument-strict-schema-v1.0-os.rng OpenDocument-schema-v1.0-os.rng simplification.xsl
simple-schema-7-22.rng: OpenDocument-strict-schema-v1.1.rng OpenDocument-schema-v1.1.rng simplification.xsl
	xsltproc --stringparam out-name simple-schema- simplification.xsl $<

simple-manifest-7-22.rng: OpenDocument-manifest-schema-v1.0-os.rng simplification.xsl
	xsltproc --stringparam out-name simple-manifest- simplification.xsl $<

grammarnew.py: allowed_children.py allows_text.py required_attrs.py allowed_attrs.py
	cat allowed_children.py allows_text.py required_attrs.py allowed_attrs.py >grammarnew.py

allowed_children.py: simple-schema-7-22.rng simple-manifest-7-22.rng gen_allowed_children.py
	python gen_allowed_children.py > allowed_children.py

allows_text.py: simple-schema-7-22.rng simple-manifest-7-22.rng gen_allows_text.py
	python gen_allows_text.py > allows_text.py

required_attrs.py: simple-schema-7-22.rng simple-manifest-7-22.rng simple-manifest-7-22.rng
	python gen_required_attrs.py > required_attrs.py

allowed_attrs.py: simple-schema-7-22.rng simple-manifest-7-22.rng gen_allowed_attrs.py
	python gen_allowed_attrs.py > allowed_attrs.py

clean:
	rm -f odf simple-schema-7-*.rng simple-manifest-7-*.rng \
	  required_attrs.py allowed_attrs.py allowed_children.py allows_text.py \
	  grammarnew.py

odf:
	ln -s ../odf

=== mailodf/Makefile ===
all: odf mailodf.1 

txt: mailodf.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.1 *.txt odf
odf:
	ln -s ../odf

=== odf2mht/Makefile ===
all: odf odf2mht.1 

txt: odf2mht.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== odf2xhtml/Makefile ===
all: odf odf2xhtml.1 

txt: odf2xhtml.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf

odf:
	ln -s ../odf

=== odf2xml/Makefile ===
all: odf odf2xml.1 

txt: odf2xml.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== odfimgimport/Makefile ===
all: odf odfimgimport.1 

txt: odfimgimport.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== odflint/Makefile ===
all: odf odflint.1


%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== odfmeta/Makefile ===
all: odf odfmeta.1 

txt: odfmeta.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== odfoutline/Makefile ===
all: odf odfoutline.1 

txt: odfoutline.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== tests/Makefile ===
all: odf runall

runall:
	./runtests

odf:
	ln -s ../odf

clean:
	rm -f *.1 *.txt odf

=== xml2odf/Makefile ===
all: odf xml2odf.1 

txt: xml2odf.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../odf

=== debian/changelog ===
python-odf (0.9.6-2) unstable; urgency=low

  [Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 16:03:01 +0200]
  * Use canonical URIs for Vcs-* fields.
  * New policy version, no changes. Upload to unstable.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 09 May 2013 12:57:04 +0000

python-odf (0.9.6-1) experimental; urgency=low

  * Initial release. (Closes: #484584)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Tue, 11 Dec 2012 17:15:17 +0100

=== debian/control ===
Source: python-odf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>, W. Martin Borgert <debacle@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 8), python-all, xmlto
X-Python-Version: >= 2.7
Homepage: https://joinup.ec.europa.eu/software/odfpy/home
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-odf/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-odf/trunk/

Package: python-odf
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Odfpy aims to be a complete API for OpenDocument in Python.
 Unlike other more convenient APIs, this one is essentially an abstraction
 layer just above the XML format. Odfpy is a library to read and write 
 OpenDocument v. 1.1 files. The main focus has been to prevent the programmer
 from creating invalid documents. It has checks that raise an exception if the
 programmer adds an invalid element, adds an attribute unknown to the grammar,
 forgets to add a required attribute or adds text to an element that doesn't 
 allow it. These checks and the API itself were generated from the RelaxNG 
 schema, and then hand-edited. Therefore the API is complete and can handle 
 all ODF constructions, but could be improved in its understanding of data 
 types. Take a look at the Getting Started page then consult the Reference 
 Manual.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)

%:
	dh $@ --with python2

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	cd tests; \
	PYTHONPATH=../`python$* -c "import sys; print ':'.join(sys.path)"`; \
	for F in `ls test*.py` ; do \
		PYTHONPATH=$$PYTHONPATH python$* $$F; \
	done

override_dh_auto_test: $(PYTHON2:%=test-python%)
endif

override_dh_auto_build:
	for D in csv2ods mailodf odf2xhtml odf2mht odf2xml odfimgimport odflint odfmeta odfoutline odfuserfield xml2odf; do \
		( cd $$D && \
		rm $$D.1 && \
		$(MAKE) ) \
	done
	dh_auto_build

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/odfpy/odfpy-(.*).tar.gz

## python-odf 1.2.0

=== debian/changelog ===
python-odf (1.2.0-2) unstable; urgency=low

  * Build-dep on dh-python (Closes: #764984)
  * New policy version, no changes

 -- W. Martin Borgert <debacle@debian.org>  Sun, 12 Oct 2014 19:59:27 +0000

python-odf (1.2.0-1) unstable; urgency=low

  * New upstream version (Closes: #763870)
  * Use improved short and long description by upstream
  * New policy version, no changes
  * Moved packaging to git

 -- W. Martin Borgert <debacle@debian.org>  Fri, 03 Oct 2014 21:47:40 +0000

=== debian/control ===
Source: python-odf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>, W. Martin Borgert <debacle@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 8), python-all, xmlto, python-setuptools, dh-python
Homepage: https://github.com/eea/odfpy
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-odf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-odf.git

Package: python-odf
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python API and tools to manipulate OpenDocument files
 Odfpy is a library to read and write OpenDocument v. 1.1 files.
 The main focus has been to prevent the programmer from creating invalid
 documents. It has checks that raise an exception if the programmer adds
 an invalid element, adds an attribute unknown to the grammar, forgets to
 add a required attribute or adds text to an element that doesn't allow it.
 .
 These checks and the API itself were generated from the RelaxNG
 schema, and then hand-edited. Therefore the API is complete and can
 handle all ODF constructions.
 .
 In addition to the API, there are a few scripts:
 .
  - csv2ods - Create OpenDocument spreadsheet from comma separated values
  - mailodf - Email ODF file as HTML archive
  - odf2xhtml - Convert ODF to (X)HTML
  - odf2mht - Convert ODF to HTML archive
  - odf2xml - Create OpenDocument XML file from OD? package
  - odfimgimport - Import external images
  - odflint - Check ODF file for problems
  - odfmeta - List or change the metadata of an ODF file
  - odfoutline - Show outline of OpenDocument
  - odfuserfield - List or change the user-field declarations in an ODF file
  - xml2odf - Create OD? package from OpenDocument in XML form

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,11 @@
 
 #DH_VERBOSE=1
 
+export PYBUILD_NAME=odfpy
 PYTHON2=$(shell pyversions -vr)
 
 %:
-	dh $@ --with python2
+	dh $@ --buildsystem=pybuild --with python2
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 test-python%:

## python-odf 1.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,50 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>, W. Martin Borgert <debacle@debian.org>
+Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>,
+ W. Martin Borgert <debacle@debian.org>,
+ Georges Khaznadar <georgesk@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 8), python-all, xmlto, python-setuptools, dh-python
+Build-Depends: debhelper (>= 9), python-all, python3-all, xmlto,
+ python-setuptools, dh-python, doxygen, doxypy, graphviz
 Homepage: https://github.com/eea/odfpy
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-odf.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-odf.git
 
 Package: python-odf
 Architecture: all
+Recommends: python-odf-doc, python-odf-tools
 Depends: ${misc:Depends}, ${python:Depends}
+Description: Python API and tools to manipulate OpenDocument files
+ Odfpy is a library to read and write OpenDocument v. 1.1 files.
+ The main focus has been to prevent the programmer from creating invalid
+ documents. It has checks that raise an exception if the programmer adds
+ an invalid element, adds an attribute unknown to the grammar, forgets to
+ add a required attribute or adds text to an element that doesn't allow it.
+ .
+ These checks and the API itself were generated from the RelaxNG
+ schema, and then hand-edited. Therefore the API is complete and can
+ handle all ODF constructions.
+
+Package: python-odf-tools
+Architecture: all
+Conflicts: python-odf (<< 1.2.0-3)
+Depends: ${misc:Depends}, ${python:Depends}, python3-odf
+Description: Python API and tools to manipulate OpenDocument files
+ Odfpy is a library to read and write OpenDocument v. 1.1 files.
+ The main focus has been to prevent the programmer from creating invalid
+ documents. It has checks that raise an exception if the programmer adds
+ an invalid element, adds an attribute unknown to the grammar, forgets to
+ add a required attribute or adds text to an element that doesn't allow it.
+ .
+ These checks and the API itself were generated from the RelaxNG
+ schema, and then hand-edited. Therefore the API is complete and can
+ handle all ODF constructions.
+
+Package: python3-odf
+Architecture: all
+Recommends: python-odf-doc, python-odf-tools
+Depends: ${misc:Depends}, ${python:Depends}, python3
 Description: Python API and tools to manipulate OpenDocument files
  Odfpy is a library to read and write OpenDocument v. 1.1 files.
  The main focus has been to prevent the programmer from creating invalid
@@ -36,3 +70,10 @@
   - odfoutline - Show outline of OpenDocument
   - odfuserfield - List or change the user-field declarations in an ODF file
   - xml2odf - Create OD? package from OpenDocument in XML form
+
+Package: python-odf-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, libjs-jquery
+Description: documentation and examples for python-odf and python3-odf
+ Odfpy is a library to read and write OpenDocument v. 1.1 files.

## python-odf 1.3.1+dfsg

=== csv2ods/Makefile ===
--- 
+++ 
@@ -9,6 +9,14 @@
 	xmlto txt $<
 
 clean:
-	rm -f *.txt odf
+	rm -f *.1 *~ *.txt odf test.csv test2.ods test3.ods
 odf:
 	ln -s ../odf
+
+test: clean odf
+	@echo 1,2,3,4 > test.csv
+	@echo 5,6,7,8 >> test.csv
+	@echo 9,10,11,12 >> test.csv
+	@python2 csv2ods -i test.csv -o test2.ods
+	@python3 csv2ods -i test.csv -o test3.ods
+	@echo created files test.csv, test2.ods and test3.ods

=== odf2xhtml/Makefile ===
--- 
+++ 
@@ -9,7 +9,16 @@
 	xmlto txt $<
 
 clean:
-	rm -f *.txt odf
+	rm -f *.1 *.txt odf
 
 odf:
 	ln -s ../odf
+
+test: clean odf
+	@echo ============== output by Python2 ====================
+	@python2 odf2xhtml ../tests/examples/headerfooter.odt
+	@echo =====================================================
+	@echo
+	@echo ============== output by Python3 ====================
+	@python3 odf2xhtml ../tests/examples/headerfooter.odt
+	@echo =====================================================

=== debian/changelog ===
python-odf (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version, which allowed to remove all previous patches.
  * Set HTML_TIMESTAMP = NO (Closes: #777635).
  * Added patch which (Closes: #783789).
  * Remove doc/ in source, because of uglified JS.
  * Updated watch file.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 25 Jul 2015 13:36:45 +0000

python-odf (1.2.0-6) unstable; urgency=medium

  * fixed a lot of issues due to inconsistencies of the code initially
    written for Python2, mainly confusions between byte strings
    and unicode strings. The new code tries to use byte strings for
    file-like streams and unicode strings for in-memory objects.
  * added JavaDoc strings to document thoroughly functions and methods,
     mainly in odf/opendocument.py
  * added a config.dox file to allow one to build a documentation in HTML
    and LaTeX, for library developpers and users.
  * added many assert() clauses to ensure the types of parameters in
    functions and methods
  * modified the utilities to make them usable with both Python2 and Python3
  * implemented a feature announced in csv2ods manfiles but not previously
    active: -c / --encoding switch to take in account the encoding of
    the CSV source file.
  * added rules to build the developer's documentation and install it in
    usr/share/python-odf/API-doc/html
  * added a dependency python-odf-doc -> libjs-jquery necessary because
    of HTML code output by Doxygen

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Oct 2014 10:41:32 +0100

python-odf (1.2.0-5) unstable; urgency=medium

  * fixed a small mistake: the new Standards-Version is 3.9.6
  * recalled that this upload Closes: #766389

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Oct 2014 22:39:40 +0100

python-odf (1.2.0-3) unstable; urgency=medium

  * added myself to Uploaders
  * modified the library to work with python3
  * upgraded Standards-Version to 3.9.5, debhelper to 9
  * added three new binary packages: python3-odf pythn-odf-tools
    and python-odf-doc; the last one provides the documentation
    for Odfpy's API as an opendocument
  * modified the test routine to run tests with both python 2 and 3.
  * fixed algorithms which might work with Python2 but were defeated by
    Python3's unpredictability for order of iterables like dictionaries.
  * modified the source of "binaries" to work with Python3 and checked
    their features.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Oct 2014 12:04:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

export PYBUILD_NAME=odfpy
PYTHON2=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=pybuild --with python2 --with python3

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	cd tests; \
	PYTHONPATH=../`python$* -c "import sys; print ':'.join(sys.path)"`; \
	for F in `ls test*.py` ; do \
		PYTHONPATH=$$PYTHONPATH python$* $$F; \
	done

override_dh_auto_test: $(PYTHON2:%=test-python%)
endif

UTILITIES = csv2ods mailodf odf2xhtml odf2mht odf2xml odfimgimport \
            odflint odfmeta odfoutline odfuserfield xml2odf

override_dh_clean:
	# clean directories used for utilities
	for D in $(UTILITIES); do make -C $$D clean; done
	# remove build space
	rm -rf build
	# remove generated symlinks
	find . -name odf -type l | xargs rm -f
	# remove documentation made by Doxygen
	rm -rf doc
	dh_clean

override_dh_auto_build:
	for D in $(UTILITIES); do make -C $$D; done
	doxygen config.dox
	dh_auto_build

override_dh_install:
	dh_install
	# remove an embedded JS library
	f=debian/python-odf-doc/usr/share/python-odf/API-doc/html/jquery.js; \
	[ -e $$f ] && rm $$f && ln -s /usr/share/javascript/jquery/jquery.js $$f

## python-odf 1.3.2+dfsg2

=== debian/changelog ===
python-odf (1.3.2+dfsg2-1) unstable; urgency=medium

  * repacked the source: removed the doc subdirectory since it is generated
    by Doxygen

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 May 2016 15:11:46 +0200

python-odf (1.3.2+dfsg1-3) unstable; urgency=medium

  * upgraded Standards-Version to 3.9.8
  * fixed dependencies for python3-odf. Closes: #822099
  * defined XS-Python-Version and XS-Python3-Version
  * simplified d/rules

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Apr 2016 16:42:17 +0200

python-odf (1.3.2+dfsg1-2) unstable; urgency=medium

  * recompiled the package to change dependencies. Closes: #822099

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Apr 2016 23:41:55 +0200

python-odf (1.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Feb 2016 20:22:35 +0100

python-odf (1.3.1+dfsg-2) unstable; urgency=medium

  * fixed an issue raised by math elements, for odt2xhtml

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Feb 2016 12:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>,
  W. Martin Borgert <debacle@debian.org>,
  Georges Khaznadar <georgesk@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), python-all, python3-all, xmlto,
  python-setuptools, dh-python, doxygen, doxypy, graphviz
 Homepage: https://github.com/eea/odfpy
+XS-Python-Version: >=2.7
+XS-Python3-Version: >=3.4
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-odf.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-odf.git
 
@@ -45,7 +47,7 @@
 Package: python3-odf
 Architecture: all
 Recommends: python-odf-doc, python-odf-tools
-Depends: ${misc:Depends}, ${python:Depends}, python3
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Python API and tools to manipulate OpenDocument files
  Odfpy is a library to read and write OpenDocument v. 1.1 files.
  The main focus has been to prevent the programmer from creating invalid

## python-odf 1.3.4+dfsg

=== debian/changelog ===
python-odf (1.3.4+dfsg-1) unstable; urgency=medium

  * new upstream version
  * add build-depend on python3-setuptools

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Jan 2017 10:42:48 +0000

python-odf (1.3.3+dfsg-1) unstable; urgency=medium

  * new upstream version
  * add examples to -doc package

 -- W. Martin Borgert <debacle@debian.org>  Fri, 23 Dec 2016 22:58:06 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,18 @@
  W. Martin Borgert <debacle@debian.org>,
  Georges Khaznadar <georgesk@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), python-all, python3-all, xmlto,
- python-setuptools, dh-python, doxygen, doxypy, graphviz
+Build-Depends: debhelper (>= 9),
+	python-all,
+	python3-all,
+	xmlto,
+	python-setuptools,
+	python3-setuptools,
+	dh-python,
+	doxygen,
+	doxypy,
+	graphviz
 Homepage: https://github.com/eea/odfpy
 XS-Python-Version: >=2.7
-XS-Python3-Version: >=3.4
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-odf.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-odf.git

## python-odf 1.3.5+dfsg

=== debian/changelog ===
python-odf (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.5
  * Make source dfsg clean

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Aug 2017 22:12:55 +0200

## python-odf 1.3.6

=== debian/changelog ===
python-odf (1.3.6-2) unstable; urgency=medium

  * changed the VCS browser link

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2018 14:30:22 +0100

python-odf (1.3.6-1) unstable; urgency=medium

  * new upstream version
  * removed the cleanup script
  * allowed uglified JS coming from doxygen's run
  * now ignoring manfiles (*.1) which are regenerated
  * changed d/control's descriptions to make lintian happier
  * referenced https URLs for the VCS
  * upgraded standards-version and debhelper's level
  * fixed a typo: continous -> continuous
  * removed an unused lintian override

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 19:00:46 +0100

python-odf (1.3.5+dfsg-1.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Remove myself from Uploaders

 -- Thomas Bechtold <toabctl@debian.org>  Sun, 07 Jan 2018 10:22:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>,
- W. Martin Borgert <debacle@debian.org>,
+Uploaders: W. Martin Borgert <debacle@debian.org>,
  Georges Khaznadar <georgesk@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10),
 	python-all,
 	python3-all,
 	xmlto,
@@ -18,14 +17,14 @@
 	graphviz
 Homepage: https://github.com/eea/odfpy
 XS-Python-Version: >=2.7
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-odf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-odf.git
+Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/python-odf.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-odf.git
 
 Package: python-odf
 Architecture: all
 Recommends: python-odf-doc, python-odf-tools
 Depends: ${misc:Depends}, ${python:Depends}
-Description: Python API and tools to manipulate OpenDocument files
+Description: Python API to manipulate OpenDocument files
  Odfpy is a library to read and write OpenDocument v. 1.1 files.
  The main focus has been to prevent the programmer from creating invalid
  documents. It has checks that raise an exception if the programmer adds
@@ -40,22 +39,16 @@
 Architecture: all
 Conflicts: python-odf (<< 1.2.0-3)
 Depends: ${misc:Depends}, ${python:Depends}, python3-odf
-Description: Python API and tools to manipulate OpenDocument files
- Odfpy is a library to read and write OpenDocument v. 1.1 files.
- The main focus has been to prevent the programmer from creating invalid
- documents. It has checks that raise an exception if the programmer adds
- an invalid element, adds an attribute unknown to the grammar, forgets to
- add a required attribute or adds text to an element that doesn't allow it.
- .
- These checks and the API itself were generated from the RelaxNG
- schema, and then hand-edited. Therefore the API is complete and can
- handle all ODF constructions.
+Description: Python tools to manipulate OpenDocument files
+ Simple tool collection to manipulate ODF files, like converting CSV to
+ spreadsheet, e-mails to text files, text files to HTML, including images
+ given by URLs, filling user fields with data tables, and so on.
 
 Package: python3-odf
 Architecture: all
 Recommends: python-odf-doc, python-odf-tools
 Depends: ${misc:Depends}, ${python3:Depends}
-Description: Python API and tools to manipulate OpenDocument files
+Description: Python3 API to manipulate OpenDocument files
  Odfpy is a library to read and write OpenDocument v. 1.1 files.
  The main focus has been to prevent the programmer from creating invalid
  documents. It has checks that raise an exception if the programmer adds

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 #DH_VERBOSE=1
 
-export PYBUILD_NAME=odfpy
+export PYBUILD_NAME=odf
 PYTHON2=$(shell pyversions -vr)
 
 %:
-	dh $@ --buildsystem=pybuild --with python2 --with python3
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 test-python%:
@@ -38,8 +38,13 @@
 	doxygen config.dox
 	dh_auto_build
 
-override_dh_install:
-	dh_install
-	# remove an embedded JS library
-	f=debian/python-odf-doc/usr/share/python-odf/API-doc/html/jquery.js; \
-	[ -e $$f ] && rm $$f && ln -s /usr/share/javascript/jquery/jquery.js $$f
+override_dh_auto_install:
+	dh_auto_install
+	# ensure that debian/python-odf-tools/usr/share exists
+	mkdir -p debian/python-odf-tools/usr/share
+	# remove scripts for Python2.7
+	rm -rf debian/python-odf/usr/bin
+	rm -rf debian/python-odf/usr/share/man
+	# moce scripts and their man pages to python-odf-tools
+	mv debian/python3-odf/usr/bin debian/python-odf-tools/usr
+	mv debian/python3-odf/usr/share/man debian/python-odf-tools/usr/share

## python-odf 1.4.0

=== grammar/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 #simplified-7-22.rng: OpenDocument-strict-schema-v1.2-draft7.rng OpenDocument-schema-v1.0-os.rng
 #simple-schema-7-22.rng: OpenDocument-strict-schema-v1.0-os.rng OpenDocument-schema-v1.0-os.rng simplification.xsl
-simple-schema-7-22.rng: OpenDocument-strict-schema-v1.1.rng OpenDocument-schema-v1.1.rng simplification.xsl
+#simple-schema-7-22.rng: OpenDocument-strict-schema-v1.1.rng OpenDocument-schema-v1.1.rng simplification.xsl
+simple-schema-7-22.rng: OpenDocument-v1.2-os-schema.rng simplification.xsl
 	xsltproc --stringparam out-name simple-schema- simplification.xsl $<
 
 simple-manifest-7-22.rng: OpenDocument-manifest-schema-v1.0-os.rng simplification.xsl
@@ -17,7 +18,7 @@
 allows_text.py: simple-schema-7-22.rng simple-manifest-7-22.rng gen_allows_text.py
 	python gen_allows_text.py > allows_text.py
 
-required_attrs.py: simple-schema-7-22.rng simple-manifest-7-22.rng simple-manifest-7-22.rng
+required_attrs.py: simple-schema-7-22.rng simple-manifest-7-22.rng simple-manifest-7-22.rng gen_required_attrs.py
 	python gen_required_attrs.py > required_attrs.py
 
 allowed_attrs.py: simple-schema-7-22.rng simple-manifest-7-22.rng gen_allowed_attrs.py

=== mailodf/Makefile ===
--- 
+++ 
@@ -9,6 +9,13 @@
 	xmlto txt $<
 
 clean:
-	rm -f *.1 *.txt odf
+	rm -f *.1 *~ *.txt odf
 odf:
 	ln -s ../odf
+
+test: clean odf
+	@echo -n "Please input your local email for the test > "; read to; \
+	  python2 mailodf -f python2@python.org -s "F.Y.I" ../tests/examples/ol.odp "$$to"; \
+	  python3 mailodf -f python3@python.org -s "F.Y.I" ../tests/examples/ol.odp "$$to"
+	@echo 'You should receive two e-mails, one from python2@python.org'
+	@echo 'and the second from python3@python.org, with subjects: "F.Y.I"'

=== contrib/html2odt/Makefile ===
all: fellowship.content

fellowship.content: html2odt.py
	python html2odt.py http://opendocumentfellowship.org/ >fellowship.content

clean:
	rm -f *.content *.meta *.styles

=== debian/changelog ===
python-odf (1.4.0-3) unstable; urgency=medium

  * removed the build-dependency on doxypy
  * added a patch to use doxypypy, before this program becomes a debian package

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Dec 2019 20:37:01 +0100

python-odf (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Add python3-defusedxml to B-D.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Aug 2019 08:35:02 +0200

python-odf (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient XS-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Georges Khaznadar ]
  * new upstream release
  * updated Standards version to 4.2.1 and dh level to 11

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 05 Jun 2018 13:27:31 +0200

python-odf (1.3.6-3) unstable; urgency=medium

  [Ondřej Nový]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  [Georges Khaznadar]
  * updated Standards version to 4.1.4

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Apr 2018 11:17:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,41 +4,23 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
  Georges Khaznadar <georgesk@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 10),
-	python-all,
+Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11),
 	python3-all,
 	xmlto,
-	python-setuptools,
 	python3-setuptools,
+	python3-defusedxml,
 	dh-python,
 	doxygen,
-	doxypy,
 	graphviz
 Homepage: https://github.com/eea/odfpy
-XS-Python-Version: >=2.7
-Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/python-odf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-odf.git
-
-Package: python-odf
-Architecture: all
-Recommends: python-odf-doc, python-odf-tools
-Depends: ${misc:Depends}, ${python:Depends}
-Description: Python API to manipulate OpenDocument files
- Odfpy is a library to read and write OpenDocument v. 1.1 files.
- The main focus has been to prevent the programmer from creating invalid
- documents. It has checks that raise an exception if the programmer adds
- an invalid element, adds an attribute unknown to the grammar, forgets to
- add a required attribute or adds text to an element that doesn't allow it.
- .
- These checks and the API itself were generated from the RelaxNG
- schema, and then hand-edited. Therefore the API is complete and can
- handle all ODF constructions.
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-odf.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-odf
 
 Package: python-odf-tools
 Architecture: all
 Conflicts: python-odf (<< 1.2.0-3)
-Depends: ${misc:Depends}, ${python:Depends}, python3-odf
+Depends: ${misc:Depends}, ${python3:Depends}, python3, python3-odf
 Description: Python tools to manipulate OpenDocument files
  Simple tool collection to manipulate ODF files, like converting CSV to
  spreadsheet, e-mails to text files, text files to HTML, including images

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
 https://github.com/eea/odfpy/releases /eea/odfpy/archive/release-(.+)\.tar\.gz

## python-odf 1.4.1

=== odf2xml/Makefile ===
--- 
+++ 
@@ -9,6 +9,12 @@
 	xmlto txt $<
 
 clean:
-	rm -f *.txt odf
+	rm -f *.1 *~ *.txt odf
 odf:
 	ln -s ../odf
+
+test: clean odf
+	@echo ========================= output by Python2 =====================
+	@python2 odf2xml ../tests/examples/headerfooter.odt
+	@echo ========================= output by Python3 =====================
+	@python3 odf2xml ../tests/examples/headerfooter.odt

=== odflint/Makefile ===
--- 
+++ 
@@ -8,6 +8,12 @@
 	xmlto txt $<
 
 clean:
-	rm -f *.txt odf
+	rm -f *.1 *~ *.txt odf
 odf:
 	ln -s ../odf
+
+test: clean odf
+	@echo ================== output by Python2 ======================
+	@python2 odflint ../tests/examples/simplestyles.odt
+	@echo ================== output by Python3 ======================
+	@python3 odflint ../tests/examples/simplestyles.odt

=== odfmeta/Makefile ===
--- 
+++ 
@@ -9,6 +9,12 @@
 	xmlto txt $<
 
 clean:
-	rm -f *.txt odf
+	rm -f *.1 *~ *.txt odf
 odf:
 	ln -s ../odf
+
+test: clean odf
+	@echo ============= output by Python2 =======================
+	@python2 odfmeta ../tests/examples/pythagoras.ods
+	@echo ============= output by Python3 =======================
+	@python3 odfmeta ../tests/examples/pythagoras.ods

=== odfuserfield/Makefile ===
all: odf odfuserfield.1 

txt: odfuserfield.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.1 *~ *.txt odf userfieldsFilledByPython*
odf:
	ln -s ../odf

test: clean odf
	@echo =============== output by Python2 =========================
	@echo ========= list userfields from ../tests/examples/userfields.odt
	@python2 odfuserfield -l ../tests/examples/userfields.odt
	@echo ========= injection of values =============================
	@python odfuserfield -o userfieldsFilledByPython2.odt \
	  -s username:jdoe -s firstname:John -s lastname:Doe \
	  -s "address:10 Downing Street" ../tests/examples/userfields.odt
	@echo ========= extraction of values =============================
	python odfuserfield -X username -X firstname -X lastname \
	  -X address userfieldsFilledByPython2.odt
	@echo ============================================================
	@echo
	@echo =============== output by Python3 =========================
	@echo ========= list userfields from ../tests/examples/userfields.odt
	@python3 odfuserfield -l ../tests/examples/userfields.odt
	@echo ========= injection of values =============================
	@python odfuserfield -o userfieldsFilledByPython3.odt \
	  -s username:jdoe -s firstname:John -s lastname:Doe \
	  -s "address:10 Downing Street" ../tests/examples/userfields.odt
	@echo ========= extraction of values =============================
	python odfuserfield -X username -X firstname -X lastname \
	  -X address userfieldsFilledByPython3.odt
	@echo ============================================================

=== xml2odf/Makefile ===
--- 
+++ 
@@ -9,6 +9,14 @@
 	xmlto txt $<
 
 clean:
-	rm -f *.txt odf
+	rm -f *.1 *~ *.txt odf definitionlistsOutput*
 odf:
 	ln -s ../odf
+
+test: clean odf
+	@echo =============== output by Python2 ===================
+	@python3 xml2odf -o definitionlistsOutput2.odt definitionlists.xml
+	@echo created definitionlistsOutput2.odt
+	@echo =============== output by Python3 ===================
+	@python3 xml2odf -o definitionlistsOutput3.odt definitionlists.xml
+	@echo created definitionlistsOutput3.odt

=== contrib/gutenberg/Makefile ===
all: odf gbtext2odt.1 

txt: gbtext2odt.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../../odf

=== contrib/odf2war/Makefile ===
all: odf odf2war.1 

txt: odf2war.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf

odf:
	ln -s ../odf

=== contrib/syntaxhighlight/Makefile ===
all: odf syntaxhighlight.1 

txt: syntaxhighlight.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../../odf

=== debian/changelog ===
python-odf (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Mar 2020 17:58:57 +0100

## python-odf 1.4.2

=== contrib/odf2gbzip/Makefile ===
all: odf odf2gbzip.1 

txt: odf2gbzip.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf

odf:
	ln -s ../../odf

=== contrib/odscell/Makefile ===
all: odf odscell.1

txt: odscell.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf
odf:
	ln -s ../../odf

=== debian/changelog ===
python-odf (1.4.2-4) unstable; urgency=medium

  * fixed the executable flag for py_filter, which is brought by a debian
    patch. This fixes the documentation's build sequence
  * new build dependency: doxypypy

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Feb 2025 10:24:52 +0100

python-odf (1.4.2-3) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Add python3-legacy-cgi to Suggests: for contrib/ scripts
    (Closes: #1084722)
  * Add gbp.conf

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line
    7-12.
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Nov 2024 07:49:33 +0100

python-odf (1.4.2-2) unstable; urgency=medium

  * fix unittest and make unittests actually fail
  * add DEP-3 headers to patches
  * add autopkgtest
  * add Rules-Requires-Root=no

 -- Martin <debacle@debian.org>  Wed, 19 Oct 2022 17:41:10 +0000

python-odf (1.4.2-1) unstable; urgency=medium

  * new upstream version
  * standards-version bumped to 4.5.1, debian-compat to 13

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Dec 2021 19:25:03 +0100

python-odf (1.4.1-2) UNRELEASED; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-odf-doc: Add Multi-Arch: foreign.

  [ Georges Khaznadar ]
  * fixed the watch file

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + python-odf-tools: Drop versioned constraint on python-odf in Conflicts.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Mar 2021 16:02:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,32 @@
 Source: python-odf
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Martin <debacle@debian.org>,
  Georges Khaznadar <georgesk@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper-compat (= 11),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+	dh-sequence-python3,
 	python3-all,
 	xmlto,
 	python3-setuptools,
 	python3-defusedxml,
-	dh-python,
 	doxygen,
+	doxypypy,
 	graphviz
+Rules-Requires-Root: no
 Homepage: https://github.com/eea/odfpy
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-odf.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-odf
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-odf.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-odf
 
 Package: python-odf-tools
 Architecture: all
-Conflicts: python-odf (<< 1.2.0-3)
-Depends: ${misc:Depends}, ${python3:Depends}, python3, python3-odf
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3,
+ python3-legacy-cgi,
+ python3-odf,
 Description: Python tools to manipulate OpenDocument files
  Simple tool collection to manipulate ODF files, like converting CSV to
  spreadsheet, e-mails to text files, text files to HTML, including images
@@ -59,5 +65,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, libjs-jquery
+Multi-Arch: foreign
 Description: documentation and examples for python-odf and python3-odf
  Odfpy is a library to read and write OpenDocument v. 1.1 files.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

export PYBUILD_NAME=odf
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	cd tests; \
	err=0; \
	PYTHONPATH=../`python$* -c "import sys; print(':'.join(sys.path))"`; \
	for F in `ls test*.py` ; do \
		PYTHONPATH=$$PYTHONPATH python$* $$F || err=1; \
	done; \
	exit "$$err"

override_dh_auto_test: $(PYTHON3:%=test-python%)
endif

UTILITIES = csv2ods mailodf odf2xhtml odf2mht odf2xml odfimgimport \
            odflint odfmeta odfoutline odfuserfield xml2odf

execute_before_dh_clean:
	# clean directories used for utilities
	for D in $(UTILITIES); do make -C $$D clean; done
	# remove build space
	rm -rf build
	# remove generated symlinks
	find . -name odf -type l | xargs rm -f
	# remove documentation made by Doxygen
	rm -rf doc

execute_before_dh_auto_build:
	for D in $(UTILITIES); do make -C $$D; done
	[ -f py_filter ] && chmod +x py_filter
	doxygen config.dox

execute_after_dh_auto_install:
	# ensure that debian/python-odf-tools/usr/share exists
	mkdir -p debian/python-odf-tools/usr/share
	# moce scripts and their man pages to python-odf-tools
	mv debian/python3-odf/usr/bin debian/python-odf-tools/usr
	mv debian/python3-odf/usr/share/man debian/python-odf-tools/usr/share

=== debian/tests/control ===
Depends: @
Restrictions: allow-stderr
Test-Command: cd tests; for F in $(ls test*.py); do python3 $F; done
